### Reorient

Category

Rendering

Function

Changes the orientation of an image or group of images.

Syntax

    image = Reorient(image, how);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`image` | field or group | none | image(s) to be reoriented
`how` | integer | none | specific change of orientation

Outputs

Name | Type | Description
--- | --- | ---
`image` | image | reoriented image

Functional Details

This module rotates or inverts an image. (Use Refine or Reduce to change the size of an image.)

Note: This module is intended for images that will be displayed directly without rendering (i.e., using Display without a camera). So if you are rendering an object (using Image, Display with a camera, or Render), you should instead use Transpose, Rotate, Scale, and Translate to reorient that object before rendering it.

`image` | is an image or group of images. An image is (1) a regular 2-dimensional field or the output of Render or ReadImage and (2) must have the following characteristics. regular 2-dimensional positions and quad connections position-dependent colors origin at [0, 0].
`how` | specifies one of several possible reorientations. Allowed values are 0-7 (see figure).

Figure 4. Reorientation of the letter F.

If `how` is set to 0, the image's appearance does not change. However, if the origin or deltas are not in the preferred image order (i.e., origin at [0, 0] and x varying fastest), the internal layout is altered to the preferred order. The result is a more efficient display of the image.

Thus Reorient can be used to align images from two sources so that the pixels are in one-to-one correspondence. A tool like Compute can then operate on corresponding pixels from the two images.

Components

Modifies the positions and connections components and reorders the position-dependent components.

Example Visual Program

    Topo.net

See Also

Display, Overlay, ReadImage, Reduce, Refine, Render

[ OpenDX Home at IBM | OpenDX.org ]